# Generated by go2rpm
%bcond_without check

# https://github.com/kubernetes/cloud-provider
%global goipath         k8s.io/cloud-provider
%global forgeurl        https://github.com/kubernetes/cloud-provider
Version:                1.22.0
%global tag             kubernetes-1.22.0
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Cloud-provider defines the shared interfaces which Kubernetes cloud providers
implement. These interfaces allow various controllers to integrate with any
cloud provider in a pluggable fashion. Also serves as an issue tracker for SIG
Cloud Provider.}

%global golicenses      LICENSE
%global godocs          README.md code-of-conduct.md CONTRIBUTING.md

Name:           %{goname}
Release:        %autorelease
Summary:        Shared interfaces which Kubernetes cloud providers implement

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(k8s.io/api/core/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/equality)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/resource)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/conversion)
BuildRequires:  golang(k8s.io/apimachinery/pkg/labels)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/schema)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime/serializer)
BuildRequires:  golang(k8s.io/apimachinery/pkg/types)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/sets)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/strategicpatch)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/uuid)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/wait)
BuildRequires:  golang(k8s.io/apiserver/pkg/server)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/healthz)
BuildRequires:  golang(k8s.io/apiserver/pkg/server/options)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/feature)
BuildRequires:  golang(k8s.io/client-go/discovery/cached)
BuildRequires:  golang(k8s.io/client-go/informers)
BuildRequires:  golang(k8s.io/client-go/informers/core/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes)
BuildRequires:  golang(k8s.io/client-go/kubernetes/scheme)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/core/v1)
BuildRequires:  golang(k8s.io/client-go/listers/core/v1)
BuildRequires:  golang(k8s.io/client-go/metadata)
BuildRequires:  golang(k8s.io/client-go/metadata/metadatainformer)
BuildRequires:  golang(k8s.io/client-go/rest)
BuildRequires:  golang(k8s.io/client-go/restmapper)
BuildRequires:  golang(k8s.io/client-go/tools/cache)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd)
BuildRequires:  golang(k8s.io/client-go/tools/leaderelection)
BuildRequires:  golang(k8s.io/client-go/tools/leaderelection/resourcelock)
BuildRequires:  golang(k8s.io/client-go/tools/record)
BuildRequires:  golang(k8s.io/client-go/util/retry)
BuildRequires:  golang(k8s.io/client-go/util/workqueue)
BuildRequires:  golang(k8s.io/component-base/cli/flag)
BuildRequires:  golang(k8s.io/component-base/cli/globalflag)
BuildRequires:  golang(k8s.io/component-base/configz)
BuildRequires:  golang(k8s.io/component-base/featuregate)
BuildRequires:  golang(k8s.io/component-base/logs)
BuildRequires:  golang(k8s.io/component-base/metrics)
BuildRequires:  golang(k8s.io/component-base/metrics/legacyregistry)
BuildRequires:  golang(k8s.io/component-base/metrics/prometheus/clientgo)
BuildRequires:  golang(k8s.io/component-base/metrics/prometheus/ratelimiter)
BuildRequires:  golang(k8s.io/component-base/metrics/prometheus/version)
BuildRequires:  golang(k8s.io/component-base/term)
BuildRequires:  golang(k8s.io/component-base/version)
BuildRequires:  golang(k8s.io/component-base/version/verflag)
BuildRequires:  golang(k8s.io/controller-manager/app)
BuildRequires:  golang(k8s.io/controller-manager/config)
BuildRequires:  golang(k8s.io/controller-manager/config/v1alpha1)
BuildRequires:  golang(k8s.io/controller-manager/options)
BuildRequires:  golang(k8s.io/controller-manager/pkg/clientbuilder)
BuildRequires:  golang(k8s.io/controller-manager/pkg/features)
BuildRequires:  golang(k8s.io/controller-manager/pkg/features/register)
BuildRequires:  golang(k8s.io/controller-manager/pkg/informerfactory)
BuildRequires:  golang(k8s.io/controller-manager/pkg/leadermigration)
BuildRequires:  golang(k8s.io/klog/v2)
BuildRequires:  golang(k8s.io/utils/net)
BuildRequires:  golang(k8s.io/utils/pointer)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/diff)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/intstr)
BuildRequires:  golang(k8s.io/client-go/kubernetes/fake)
BuildRequires:  golang(k8s.io/client-go/testing)
BuildRequires:  golang(k8s.io/component-base/config)
BuildRequires:  golang(k8s.io/controller-manager/pkg/leadermigration/options)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
%autochangelog
